# Activity-mediated accumulation of potassium induces a switch in firing pattern and neuronal excitability type


### Timescale of spike amplitude decay

Extended activation of rodent cortical neurons led to a slow spike amplitude reduction.

Rodent cortical neurons were activated for 40 seconds using short (2 ms) depolarizing current pulses (3 nA) generated at 40 Hz.

These neurons exhibited a slow and progressive reduction in spike amplitude that was best fit by a double exponential decay. The fast and the slow components of the spike amplitude decay were calculated by fitting the time dependent spike-voltage-peak to a double exponential function,

<img src="https://latex.codecogs.com/svg.latex?\Large&space;D_{fast}\exp(\frac{-t}{\tau_{fast}})+D_{slow}\exp(\frac{-t}{\tau_{slow}})+D_{ss}" title="\Large D_{fast}\exp(\frac{-t}{\tau_{fast}}) + D_{slow}\exp(\frac{-t}{\tau_{slow}}) +D_{ss}" />

<img src="https://latex.codecogs.com/svg.latex?D_{ss}" title="D_{ss}" /> represents the spike peak at the steady state (when the spike peak is not decaying anymore). The sum <img src="https://latex.codecogs.com/svg.latex?D_{ss}+D_{fast}+D_{slow}" title="D_{ss}+D_{fast}+D_{slow}" /> yields the spike peak at stimulus onset. <img src="https://latex.codecogs.com/svg.latex?\tau_{fast}" title="\tau_{fast}" /> is the fast time constant of the spike amplitude decay, and <img src="https://latex.codecogs.com/svg.latex?\tau_{slow}" title="\tau_{slow}" /> is the slow time constant of the spike amplitude decay.


The parameters that yielded the best fit for the spike amplitude decay were calculated for all the cells measured (notebook p_graphs_spkAmplDecay_time_scales.ipynb). 


### Extracellular potassium dependent spiking irregularity

Spiking irregularity increased with increases of the extracellular potassium concentration. Current-induced activity in mouse cortical pyramidal neurons exposed to different fixed concentrations of extracellular potassium was recorded. Action potentials were induced by constant-current stimulation in baseline conditions (3 mM extracellular potassium), and after increasing the concentration of extracellular potassium to 10 or 12 mM. Neurons were stimulated with somatic current injection sufficient to maintain the membrane potential close to spiking threshold. 

Spiking irregularity was quantified in all the neurons recorded with the coefficient of variation (CV);

<img src="https://latex.codecogs.com/svg.latex?\Large&space;CV=\frac{\sigma}{\mu}" title="\Large CV=\frac{\sigma}{\mu}" />

where <img src="https://latex.codecogs.com/svg.latex?\sigma" title="\sigma" /> is the standard deviation of the interspike interval (ISI), and <img src="https://latex.codecogs.com/svg.latex?\mu" title="\mu" /> is the mean.

An example is shown in (notebook p_graphs_Ko_dependent_Irregularity.ipynb).


### Simulations

The code to reproduce the simulations reported in the manuscript can be found in https://itbgit.biologie.hu-berlin.de/contreras/activity-mediated_accumulation_potassium_induces_switch_firing .